/*
 * Class TRACING_HANDLER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_198 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_198 [] = {0xFF01,1551,197,0xFFFF};
static const EIF_TYPE_INDEX egt_2_198 [] = {0xFF01,197,0xFFFF};
static const EIF_TYPE_INDEX egt_3_198 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_198 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_198 [] = {0xFF01,197,0xFFFF};
static const EIF_TYPE_INDEX egt_6_198 [] = {0xFF01,197,0xFFFF};
static const EIF_TYPE_INDEX egt_7_198 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_198 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_198 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_198 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_198 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_198 [] = {0xFF01,197,0xFFFF};
static const EIF_TYPE_INDEX egt_13_198 [] = {0xFF01,197,0xFFFF};
static const EIF_TYPE_INDEX egt_14_198 [] = {0xFF01,197,0xFFFF};


static const struct desc_info desc_198[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_198), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_198), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_198), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_198), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_198), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_198), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_198), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_198), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_198), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_198), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_198), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_198), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_198), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4632, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4633, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_198), 4628, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4629, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4630, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_198), 4631, 0xFFFFFFFF},
};
void Init198(void)
{
	IDSC(desc_198, 0, 197);
	IDSC(desc_198 + 1, 1, 197);
	IDSC(desc_198 + 32, 1190, 197);
}


#ifdef __cplusplus
}
#endif
